Bug 8934 - problem with libperl.so after upgrading to secureweb-3.1-2
problem with libperl.so after upgrading to secureweb-3.1-2
Status: CLOSED NOTABUG
Product: Red Hat Secure Web Server
Classification: Retired
Component: mod_perl (Show other bugs)
3.1
i386 Linux
low Severity low
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-27 22:19 EST by Steevithak
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-28 16:54:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steevithak 2000-01-27 22:19:02 EST
After performing an upgrade to secureweb-3.1-2, a warning is issued each
time the secure server starts as folows:

 [warn] Loaded DSO modules/libperl.so uses plain Apache 1.3 API, this
module might crash under EAPI! (please recompile it with -DEAPI)

This warning did not appear when starting the secureserver as shipped with
RH6.1. I couldn't not find a matching upgrade of mod_perl on the errata
site. Please advise - should I discontinue use of mod_perl until Red Hat
releases a new mod_perl RPM? Thanks!
Comment 1 Sullivan, Drew 2000-01-28 12:50:59 EST
This also affects the following modules:

libphp3.so
libperl.so
mod_jserv.so
libdav.so
mod_roaming.so

In otherwords, it totally breaks any use of ssl in scripted
site (which is the whole point of having ssl.)
Comment 2 Preston Brown 2000-01-28 16:54:59 EST
you may safely ignore it.  It is a warning for those modules which may use SSL
functionality, but aren't compiled against a SSL-enabled web server.  The web
server is SSL-enabled, and the modules don't use any SSL functionality, so there
is no problem and the warning (it is not an error) can be safely ignored.

If you do experience any actual crashes, open a new bug.

Note You need to log in before you can comment on or make changes to this bug.